DCMTK - Bug #586

RUN_TESTS fails on Windows, if BUILD_APPS is set to OFF
2014-02-04 17:28 - Jorg Riesmeier

Status: Closed Start date: 2014-02-04
Priority: Normal Due date:

Assignee: Jan Schlamelcher % Done: 100%
Category: Configuration Estimated time: 0:00 hour
Target version: 3.6.2

Module: Compiler:

Operating System:

Description

When the target RUN_TESTS is selected in VisualStudio (Windows), the "compilation"” fails if the CMake option BUILD_APPS was
set to "OFF".

On Linux systems, "make test" (which is the counterpart of RUN_TESTS) still seem to work, although BUILD_APPS was also set to
"OFF".

Related issues:
Has duplicate DCMTK - Bug #647: RUN_TESTS should not be available in VisualSt... Closed 2015-07-06

History

#1 - 2017-03-10 17:11 - Jan Schlamelcher

- Assignee set to Jan Schlamelcher

#2 - 2017-03-10 17:53 - Jan Schlamelcher
- Status changed from New to Closed

- % Done changed from 0 to 100

Fixed by commit 6497d3036: | could not confirm that unit tests work under Linux if BUILD_APPS was set to "OFF", they also failed in that case on my
system. CTest now (after applying the fix) correctly reports that no tests were found if BUILD_APPS was set to "OFF".
